Bug 75473 - Bug with 16 bit ZMODEM transfer
Bug with 16 bit ZMODEM transfer
Product: Red Hat Linux
Classification: Retired
Component: lrzsz (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-10-08 17:48 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-08 17:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the specified problem (564 bytes, patch)
2002-10-08 17:49 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2002-10-08 17:48:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
16 bit ZMODEM transfers using SZ fail when the client gets a CRC error.    This
is because of a zero length DATA packet that gets sent from the server to the
client.  A bug in the zsdata() function causes an invalid packet to be sent. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start up a 16 bit ZMODEM transfer using SZ 
2. Cause a CRC error
3. Watch it never recover

Additional info:
Comment 1 Need Real Name 2002-10-08 17:49:29 EDT
Created attachment 79507 [details]
Patch to fix the specified problem
Comment 2 Ngo Than 2002-10-11 08:34:48 EDT
0.12.20-15 includes this patch, thanks

Note You need to log in before you can comment on or make changes to this bug.